### Constructor

# Secret Item new_for_dbus_path_finish

#### Declaration [src]

    SecretItem*
    secret_item_new_for_dbus_path_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish asynchronous operation to get a new item proxy for a secret item in the secret service.

Stability: | Unstable
This constructor is not directly available to language bindings

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretItem`
| The new item, which should be unreferenced with `g_object_unref()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.